//* Problem  : A - Divisibility
//* Contest  : NEERC - 1999
//* Type     : Solution
//* Date     : 2008.06.01
//* Author   : alt
//* Language : C++
//* Compiler : Microsoft Visual C++ 8.0

#include <stdio.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>

#include <algorithm>
#include <vector>
#include <queue>
#include <string>
#include <iostream>
using namespace std;
#define int64 long long

int n, k, res, a[128*128][128], v[128*128];

int main()
{
#ifdef _DEBUG
	freopen("A.in", "r", stdin);
#endif
	scanf("%d%d", &n, &k);
	for (int i = 1; i <= n; i++)
		scanf("%d", &v[i]);
	int add = 1000000*k;
	a[0][0] = 1;
	for (int i = 1; i <= n; i++)
	{
		for (int j = 0; j < k; j++)
			if (a[i-1][j])
			{
				a[i][(j+add+v[i])%k] = 1;
				a[i][(j+add-v[i])%k] = 1;
			}
	}
	printf("%s\n", a[n][0] ? "Divisible" : "Not divisible");
	return 0;
}
